export default function typeOf(obj) {
    const type = typeof obj;
    if (type === "object") {
        if (obj === null)
            return "object";
        return Array.isArray(obj) ? "array" : "object";
    }
    return type;
}
